## org.eclipse.jst.jsf.metadataprocessors.features
Class ValidationMessage

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.features.ValidationMessage

All Implemented Interfaces:
  IValidationMessage

    public class ValidationMessage

extends java.lang.Object
implements IValidationMessage

Metadata Validation Message implementation

Provisional API - subject to change

Constructor Summary
`ValidationMessage(java.lang.String msg)` Constructor
`ValidationMessage(java.lang.String msg, java.lang.String code, int severity)` Constructor

Method Summary
`java.lang.String` `getCode()`
`java.lang.String` `getMessage()`
`int` `getSeverity()`
`void` `setMessage(java.lang.String msg)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationMessage

    public ValidationMessage(java.lang.String msg)

  Constructor

  Parameters:
    `msg` -

### ValidationMessage

    public ValidationMessage(java.lang.String msg,
                             java.lang.String code,
                             int severity)

  Constructor

  Parameters:
    `msg` -
    `code` -
    `severity` -

Method Detail

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `IValidationMessage`
  Returns:
    localized string desribing validation issue Should not be null;

### getCode

    public java.lang.String getCode()

  Specified by:
    `getCode` in interface `IValidationMessage`
  Returns:
    String representing a validation code associated with validation issue Can return null

### getSeverity

    public int getSeverity()

  Specified by:
    `getSeverity` in interface `IValidationMessage`
  Returns:
    integer value representing severity. Valid values are 0 (IStatus.INFO), 1 (IStatus.WARNING) and 4 (IStatus.ERROR)

### setMessage

    public void setMessage(java.lang.String msg)

  Parameters:
    `msg` -